Subject: Re: linux-next: build failure after merge of the tip tree

From: Andrew Morton <[email-masked]>
Date: Fri, 9 Jan 2026 11:17:44 -0800

On Fri, 9 Jan 2026 18:29:55 +0100 Borislav Petkov <[email-masked]> wrote:

> Well, what can I say: I have been trying for a long time to get akpm to *stop*
> taking patches touching arch/x86/ because this causes issues but nope, that
> still goes on.
> 
> The issue now is cross-tree build failure which ends up in linux-next and gets
> detected there. Had this patch above been in tip, none of that would've
> happened.
> 
> So, Andrew, once again: please stop taking patches touching arch/x86!

This is utterly impractical without support from the x86 maintainers.

I upstream a *lot* of patchsets which alter x86.

I looked once.  5% of those patches had an Acked-by or Reviewed-by from
an x86 maintainer.

I cc you guys until I'm blue in the face and it's always crickets.  I
simply cannot permit MM or kexec progress to be blocked by the
unresponsiveness of the x86 team.  It's very regrettable but it's
almost always the case that I just have to proceed without your
assistance.

This particular patchset is a kexec thing so I added it for testing
because I look after kexec.  I'll drop it and shall trust you to handle
Coiby's contribution in an appropriate fashion.